package abstractfactory;

public class Berlina extends Vehiculo {
	private Chasis chasis;
	private Motor motor;
	private Rueda ruedas;
	
	public Berlina(FabricaComponentes fabricaComponentes) {
		chasis = fabricaComponentes.creaChasis();
		motor = fabricaComponentes.creaMotor();
		ruedas = fabricaComponentes.creaRuedas();
	}
	@Override
	public void descripcion() {
		System.out.println("--- Descripcin de una BERLINA ---");
		chasis.descripcion();
		motor.descripcion();
		ruedas.descripcion();
		System.out.println("----------------------------------");
	}

}
