package abstractfactory;

public class FabricaComponentesEuropea implements FabricaComponentes {

	@Override
	public Rueda creaRuedas() {
		return new RuedaPerfilBajo();
	}

	@Override
	public Chasis creaChasis() {
		return new ChasisReforzado();
	}

	@Override
	public Motor creaMotor() {
		return new MotorAltoRendimiento();
	}

	@Override
	public Extras creaExtras() {
		return new ExtrasDeportivos();
	}

}
