package agenda;


public enum OpcionesMenu implements Menu {
	SALIR("0.- Salir del programa."),
	GENERA_PERSONA("1.- Genera una nueva Persona."),
	GENERA_EMPRESA("2.- Genera una nueva Empresa."),
	MUESTRA_TODOS("3.- Muestra todos los contactos."),
	GUARDA_FICHERO_TEXTO("4.- Guarda la agenda en un fichero de texto.");
	
	private String descripcion;
	
	private OpcionesMenu(String descripcion) {
		this.descripcion = descripcion;
	}
	
	public String getDescripcion() {
		return descripcion;
	}
	
	@Override
	public Menu[] getOpciones() {
		return values();
	}
}
