package decorator.vehiculos;

public class PruebaDecorator {
	private void ejecuta() {
		Vehiculo vehiculo = new Coche("Berlina", 20000);
		vehiculo = new VehiculoConAireAcondicionado(vehiculo);
		vehiculo = new VehiculoConPinturaMetalizada(vehiculo);
		System.out.println("El precio de este coche es: " + vehiculo.getPrecio());
		System.out.println(vehiculo.getDescripcion());
		
		vehiculo = new Camion("Transporte", 100000);
		vehiculo = new VehiculoConAireAcondicionado(vehiculo);
		System.out.println("El precio de este camin es: " + vehiculo.getPrecio());
		System.out.println(vehiculo.getDescripcion());
	}
	
	public static void main(String[] args) {
		new PruebaDecorator().ejecuta();
	}
}
