package serializacion;

import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.ObjectOutput;
import java.io.ObjectOutputStream;
import java.io.OutputStream;

public class EscritorPersona {
	public EscritorPersona() {
		super();
	}
	
	private void ejecuta(String fichero) {
		OutputStream streamEscritura;
		ObjectOutput streamEscrituraPersona = null;
		try {
			try {
			streamEscritura = new FileOutputStream(fichero);
			streamEscrituraPersona = new ObjectOutputStream(streamEscritura);
			streamEscrituraPersona.writeObject(new Persona("James", "Gosling", "555 123 456"));
			} finally {
				if(streamEscrituraPersona != null) streamEscrituraPersona.close();
			}
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
	
	public static void main(String[] args) {
		new EscritorPersona().ejecuta(args[0]);
	}

}
