package serializacion;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.io.ObjectInput;
import java.io.ObjectInputStream;

public class LectorPersona {
	public LectorPersona() {
		super();
	}

	private void ejecuta(String fichero) {
		InputStream streamLectura;
		ObjectInput streamLecturaPersona = null;
		try {
			try {
				streamLectura = new FileInputStream(fichero);
				streamLecturaPersona = new ObjectInputStream(streamLectura);
				Persona persona = (Persona)streamLecturaPersona.readObject();
				System.out.println(persona);
			} finally {
				if(streamLecturaPersona != null) streamLecturaPersona.close();
			}
		} catch(FileNotFoundException e) {
			e.printStackTrace();
		} catch(IOException e) {
			e.printStackTrace();
		} catch(ClassNotFoundException e) {
			e.printStackTrace();
		}
	}

	public static void main(String[] args) {
		new LectorPersona().ejecuta(args[0]);
	}

}
