package method.tipos.cultural;

import method.tipos.Agenda;
import method.tipos.Item;

public final class AgendaCultural extends Agenda<TipoEvento> {

	@Override
	public Item getItem(TipoEvento tipo) {
		switch(tipo) {
			case CONFERENCIA:
				return new Conferencia();
			case CHARLA:
				return new Charla();
			case PROYECCION:
				return new Proyeccion();
			case TEATRO:
				return new Teatro();
		}
		return null;
	}

}
