package method.tipos.telefonica;

import method.tipos.Agenda;
import method.tipos.Item;


public final class AgendaTelefonica extends Agenda<TipoEntrada> {
	@Override
	public Item getItem(TipoEntrada tipo) {
		switch(tipo) {
			case PERSONA :
				return new Persona();
			case EMPRESA :
				return new Empresa();
		}
		return null;
	}

}
