package factory;

public class FabricaVehiculos {
	public static Vehiculo creaVehiculo(int tipo) {
		Vehiculo vehiculo;
		
		switch (tipo) {
		case Vehiculo.COCHE:
			vehiculo = new Coche();
			break;
			
		case Vehiculo.MOTO:
			vehiculo = new Moto();
			break;
			
		case Vehiculo.CAMION:
			vehiculo = new Camion();
			break;

		default:
			vehiculo = new Coche();
			break;
		}
		
		return vehiculo;
	}
}
