package genericos;

import tipos.Persona;

public final class MetodoGenerico {
	private MetodoGenerico() {
		super();
	}
	
	private <T> void muestraNombreClase(T t) {
		System.out.println("Soy una instancia de la clase: " + t.getClass().getCanonicalName());
	}
	
	public static void main(String[] args) {
		MetodoGenerico metodoGenerico = new MetodoGenerico();
		metodoGenerico.muestraNombreClase(new Float(1));
		metodoGenerico.muestraNombreClase(new Persona());
	}
}
