package sensores;

public class VelocidadViento {
	private float intensidad;
	private Direccion direccion;

	public class Direccion {
		float vx;
		float vy;

		public Direccion(float vx, float vy) {
			this.vx = vx;
			this.vy = vy;
		}
		
		public String toString() {
			return "[" + vx + ", " + vy + "]";
		}
	}

	public VelocidadViento() {
		super();
	}

	public VelocidadViento(float intensidad, float vx, float vy) {
		this.intensidad = intensidad;
		direccion = new Direccion(vx, vy);
	}

	public double getIntensidad() {
		return intensidad;
	}

	public Direccion getDireccion() {
		return direccion;
	}
	
	@Override
	public String toString() {
		return "Intensidad: " + intensidad + " Direccin: " + direccion;
	}
}
