package herencia;

public abstract class DistanciaDoblePrecision extends Distancia {
	double distancia;
	
	public DistanciaDoblePrecision() {
		distancia = 0;
	}
	
	public DistanciaDoblePrecision(double distancia) {
		super(0);
		this.distancia = distancia;
	}
	
	@Override
	public void incrementaDistancia(float incremento) {
		distancia += incremento;
	}
	
	@Override
	public abstract void metodo();
	
	// Sigue la definicin de esta clase.
}
