package interfaces;

public final class Principal {
	private Principal() {
		super();
	}
	
	private void ejecuta() {
		Dibujable figura = new Cuadrado(Dibujable.NEGRO, Dibujable.NEGRO);
		figura.dibuja();
		figura = new Circulo(Dibujable.BLANCO, Dibujable.BLANCO);
		figura.dibuja();
		figura = new Triangulo(Dibujable.BLANCO, Dibujable.NEGRO);
		figura.dibuja();
	}
	
	/**
	 * @param args
	 */
	public static void main(String[] args) {
		Principal principal = new Principal();
		principal.ejecuta();
	}

}
