package estructuras;

import java.util.ArrayList;

public class PrincipalConLock {
	public static void main(String[] args) {
		TiendaConLock tienda = new TiendaConLock();
		Proveedor proveedor = new Proveedor(100, tienda);
		proveedor.iniciaAbastecimiento();
		ArrayList<Cliente> clientes = new ArrayList<Cliente>();
		for(int i = 0; i < 5; i++) {
//			int tiempo = (int)(Math.random()*500 + 200);
			int tiempo = 500;
			Cliente cliente = new Cliente(tiempo, tienda, "Cliente "+i, tienda.getTendero());
			clientes.add(cliente);
			cliente.iniciaCompra();
		}
		try {
			Thread.sleep(1000);
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
		for(Cliente cliente: clientes)
			cliente.detenCompra();
//		try {
//			Thread.sleep(5000);
//		} catch (InterruptedException e) {
//			e.printStackTrace();
//		}
		proveedor.detenAbastecimiento();
		System.out.println("Fin");
	}
}
