package productoconsumidor;

public class ContenedorSinLock implements Contenedor {
	private int dato;
	private boolean datoDisponible;
	
	@Override
	public synchronized int get() throws InterruptedException {
		while(datoDisponible == false)
			wait();
		datoDisponible = false;
		notifyAll();
		return dato;
	}
	
	@Override
	public synchronized void put(int dato) throws InterruptedException {
		while(datoDisponible == true)
			wait();
		this.dato = dato;
		datoDisponible = true;
		notifyAll();
	}
}
