package red;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.net.MalformedURLException;
import java.net.URL;
import java.net.URLConnection;

public final class EscribirAURL {
	private EscribirAURL() {
		super();
	}

	private void ejecuta(String sUrl) {
		try {
			URL url = new URL(sUrl);
			URLConnection conexion = url.openConnection();
			conexion.setDoOutput(true);
			PrintWriter pw = new PrintWriter(conexion.getOutputStream(), true);
			pw.println("nombre=oscar");
			BufferedReader br = new BufferedReader(new InputStreamReader(conexion.getInputStream()));
			try {
				String respuesta;
				while((respuesta = br.readLine()) != null)
					System.out.println(respuesta);
			} finally {
				pw.close();
				br.close();
			}
		} catch(MalformedURLException e) {
			e.printStackTrace();
		} catch(IOException e) {
			e.printStackTrace();
		}
	}

	public static void main(String[] args) {
		new EscribirAURL().ejecuta(args[0]);
	}
}
