package singleton;

public class SingletonConcurrente {
	private SingletonConcurrente instancia = null;

	private SingletonConcurrente() {
		super();
	}

	public SingletonConcurrente getInstancia() {
		if(instancia == null) 
			synchronized (SingletonConcurrente.class) {
				if(instancia == null)
					instancia = new SingletonConcurrente();
			}
		return instancia;
	}
}