package strategy.tipos.cultural;

import strategy.tipos.io.EscritorConsola;

public class EscritorCharlaConsola extends EscritorConsola<Charla> {
	@Override
	public void escribeDatos(Charla charla) {
		salida.println("[" + charla.getTitulo() + 
				   "," + charla.getLugar() +
				   "," + charla.getHora() + "]");
	}
}
