package colecciones.figuras;

public class Rectangulo implements Figura {
	private double base;
	private double altura;
	
	public Rectangulo() {
		super();
	}
	
	public Rectangulo(double base, double altura) {
		super();
		this.base = base;
		this.altura = altura;
	}
	
	@Override
	public double getArea() {
		return base*altura;
	}

	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("Rectangulo [altura=");
		builder.append(altura);
		builder.append(", base=");
		builder.append(base);
		builder.append("]");
		builder.append(" Area=");
		builder.append(getArea());
		return builder.toString();
	}
}
