package fechas;

import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.GregorianCalendar;

public final class Principal {
	private Principal() {
		super();
	}
	
	private void ejecuta() {
//		Date ahora = new Date();
//		GregorianCalendar calendario = (GregorianCalendar)Calendar.getInstance();
		GregorianCalendar calendario = new GregorianCalendar();
		System.out.println("Da del ao: " + calendario.get(Calendar.DAY_OF_YEAR));
		calendario.add(Calendar.DAY_OF_YEAR, 300);
		System.out.println("Nuevo ao: " + calendario.get(Calendar.YEAR));
		calendario.set(2004, 6, 4);
		Date bodaCivil = calendario.getTime();
		calendario.add(Calendar.DAY_OF_YEAR, 1000);
		System.out.println("Mil das: " + calendario.getTime());
		calendario.add(Calendar.DAY_OF_YEAR, 1000);
		System.out.println("Dos mil das: " + calendario.getTime());
		calendario.add(Calendar.DAY_OF_YEAR, 1000);
		System.out.println("Tres mil das: " + calendario.getTime());
	}
	
	private void ejecuta2() {
		System.out.println("Ahora: " + new Date());
		SimpleDateFormat sdf = new SimpleDateFormat("EEEE dd 'de' MMMM 'de' yyyy '('hh':'mm':'ss')'");
		System.out.println("Ahora: " + sdf.format(new Date()));
		System.out.println("Por defecto: " + new Date());
		System.out.println("Origen de tiempo: " + new Date(0));
	}
	
	private void ejecuta3() {
		SimpleDateFormat sdf = new SimpleDateFormat("EEEE dd 'de' MMMM 'de' yyyy");
		GregorianCalendar calendario = new GregorianCalendar();
		System.out.println("Ahora. " + sdf.format(calendario.getTime()));
		calendario.add(Calendar.DAY_OF_YEAR, 40);
		System.out.println("Dentro de 40 das: " + sdf.format(calendario.getTime()));
	}
	
	public static void main(String[] args) {
		Principal principal = new Principal();
//		principal.ejecuta();
//		principal.ejecuta2();
		principal.ejecuta3();
	}
}
