package abstractfactory;

public class Principal {
	private void ejecuta() {
		FabricaVehiculos fabricaVehiculos = new FabricaVehiculosEuropea();
		System.out.println("VEHCULOS CONSTRUIDOS EN UNA FBRICA EUROPEA");
		Vehiculo vehiculo = fabricaVehiculos.creaVehiculo(TipoVehiculo.TURISMO);
		vehiculo.descripcion();
		vehiculo = fabricaVehiculos.creaVehiculo(TipoVehiculo.BERLINA);
		vehiculo.descripcion();
		vehiculo = fabricaVehiculos.creaVehiculo(TipoVehiculo.DEPORTIVO);
		vehiculo.descripcion();
		
		fabricaVehiculos = new FabricaVehiculosJaponesa();
		System.out.println("\n\nVEHCULOS CONSTRUIDOS EN UNA FBRICA JAPONESA");
		vehiculo = fabricaVehiculos.creaVehiculo(TipoVehiculo.TURISMO);
		vehiculo.descripcion();
		vehiculo = fabricaVehiculos.creaVehiculo(TipoVehiculo.BERLINA);
		vehiculo.descripcion();
		vehiculo = fabricaVehiculos.creaVehiculo(TipoVehiculo.DEPORTIVO);
		vehiculo.descripcion();
	}

	public static void main(String[] args) {
		new Principal().ejecuta();
	}

}
