package applets.hipoteca;

import javax.swing.JApplet;

import gui.hipoteca.controlador.Controlador;
import gui.hipoteca.controlador.ControladorImpl;
import gui.hipoteca.modelo.Modelo;
import gui.hipoteca.modelo.ModeloImpl;
import gui.hipoteca.vista.Vista;
import gui.hipoteca.vista.VistaImpl;

public class HipotecaApplet extends JApplet {
	private static final long serialVersionUID = 1L;

	@Override
	public void init() {
		Vista vista = new VistaImpl();
		Modelo modelo = new ModeloImpl();
		Controlador controlador = new ControladorImpl();
		modelo.setVista(vista);
		vista.setControlador(controlador);
		vista.setModelo(modelo);
		controlador.setModelo(modelo);
		controlador.setVista(vista);

		setContentPane(vista.getContenedor());
	}
}
