package agenda;

import tipos.Contacto;
import tipos.Persona;

public class Agenda {
	private final static int CAPACIDAD = 100;
	private Contacto contactos[] = new Contacto[CAPACIDAD];
	private int ocupacion = 0;
	
	public Agenda() {
		super();
	}
	
	public int nuevoContacto(Contacto contacto) {
		if(ocupacion < CAPACIDAD) contactos[ocupacion++] = contacto;
		return ocupacion;
	}
	
	public int getOcupacion() {
		return ocupacion;
	}
	
	public Contacto getContacto(int posicion) {
		if(posicion >= 0 && posicion < ocupacion)
			return contactos[posicion];
		else return new Persona("No existe contacto en esa posicin", "", "");			                 
	}
}
