package tipos;

public final class Principal {
	private Principal() {
		super();
	}
	
	private void ejecuta() {
		Persona unaPersona = new Persona();
		// Accedemos al mtodo a travs de la clase
		System.out.println("Nmero de personas creadas: " + Persona.getNInstancias());
		Persona otraPersona = new Persona("James", "Gossling", "555 123 456");
		// Accedemos al mtodo a travs de una instancia concreta
		System.out.println("Nmero de personas creadas: " + unaPersona.getNInstancias());
	}
	
	private void ejecuta2() {
		Ciudadano personaExtendida = new Ciudadano();
		System.out.println(personaExtendida.getNombre());
	}
	
	public static void main(String[] args) {
		Principal principal = new Principal();
		principal.ejecuta2();
	}
}
