package decorator.vehiculos;

public class VehiculoConAireAcondicionado extends VehiculoConExtras {
	public VehiculoConAireAcondicionado(Vehiculo vehiculo) {
		super(vehiculo);
	}

	@Override
	public String getDescripcion() {
		return vehiculo.getDescripcion() + ", aire acondicionado";
	}

	@Override
	public float getPrecio() {
		return vehiculo.getPrecio() + 300.67f;
	}
}
