package decorator.vehiculos;

public class VehiculoConPinturaMetalizada extends VehiculoConExtras {
	public VehiculoConPinturaMetalizada(Vehiculo vehiculo) {
		super(vehiculo);
	}

	@Override
	public String getDescripcion() {
		return vehiculo.getDescripcion() + ", pintura metalizada";
	}

	@Override
	public float getPrecio() {
		return vehiculo.getPrecio() + 600.45f;
	}
}
