package entradasalida;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;

public class LecturaFlujoTexto {
	public LecturaFlujoTexto() {
		super();
	}

	private void ejecuta(String camino) {
		File fichero = new File(camino);
		FileReader flujoLectura;
		BufferedReader flujoBuffer = null;
		try {
			try {
				flujoLectura = new FileReader(fichero);
				flujoBuffer = new BufferedReader(flujoLectura);
				String linea;
				while((linea = flujoBuffer.readLine()) != null) {
					System.out.println(linea);
				}
			} finally {
				if(flujoBuffer != null)
					flujoBuffer.close();
			}
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	public static void main(String[] args) {
		new LecturaFlujoTexto().ejecuta(args[0]);
	}
}