package principal;

import sensores.SensorTemperatura;
import sensores.SensorVelocidadViento;

public final class Principal {
	private Principal() {
		super();
	}
	
	private void ejecuta() {
		SensorTemperatura sensorT = new SensorTemperatura();
		System.out.println("Temperatura: " + sensorT.getMedicion());
		SensorVelocidadViento sensorV = new SensorVelocidadViento();
		System.out.println("Viento: " + sensorV.getMedicion());
	}
	
	public static void main(String[] args) {
		Principal principal = new Principal();
		principal.ejecuta();
	}
}
