package estructuras;

import java.util.ArrayList;
import java.util.Vector;

public class PrincipalSinLock {
	public static void main(String[] args) {
		Tienda tienda = new TiendaSinLock();
		Proveedor proveedor = new Proveedor(100, tienda);
		proveedor.iniciaAbastecimiento();
		ArrayList<Cliente> clientes = new ArrayList<Cliente>();
		Vector<String> info = new Vector<String>(); 
		for(int i = 0; i < 5; i++) {
//			int tiempo = (int)(Math.random()*500 + 200);
			int tiempo = 500;
			Cliente cliente = new Cliente(tiempo, tienda, "Cliente "+i, null);
			clientes.add(cliente);
			cliente.iniciaCompra();
		}
		try {
			Thread.sleep(1000);
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
		for(Cliente cliente: clientes)
			cliente.detenCompra();
		proveedor.detenAbastecimiento();
		System.out.println("Fin");
	}
}
