package productoconsumidor;

public class Consumidor {
	private Contenedor contenedor;
	private int espera;

	public Consumidor(Contenedor contenedor, int espera) {
		super();
		this.contenedor = contenedor;
		this.espera = espera;
	}

	public void inicia() {
		new Thread(new Runnable() {			
			int dato;

			@Override
			public void run() {
				for(int i = 0; i < 10; i++) {
					try {
						dato = contenedor.get();
						System.out.println("Dato ledo: " + dato);
						int tEspera = (int)(Math.random()*espera);
						Thread.sleep(tEspera);
					} catch (InterruptedException e) {
						e.printStackTrace();
					}
				}
			}
		}).start();
	}	
}
