package productoconsumidor;

public class Productor {
	private Contenedor contenedor;
	private int espera;

	public Productor(Contenedor contenedor, int espera) {
		super();
		this.contenedor = contenedor;
		this.espera = espera;
	}

	public void inicia() {
		new Thread(new Runnable() {			
			@Override
			public void run() {
				for(int i = 0; i < 10; i++) {
					try {
						contenedor.put(i);
						System.out.println("Dato escrito: " + i);
						int tEspera = (int)(Math.random()*espera);
						Thread.sleep(tEspera);
					} catch (InterruptedException e) {
						e.printStackTrace();
					}
				}
			}
		}).start();
	}
}
