package red;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.net.MalformedURLException;
import java.net.URL;

public final class LeerDesdeURL {
	private LeerDesdeURL() {
		super();
	}

	private void ejecuta(String direccion) {
		try {
			URL url = new URL(direccion);
			InputStream is = url.openStream();
			BufferedReader br = new BufferedReader(new InputStreamReader(is));
			try {
				String cadena;
				while((cadena = br.readLine()) != null)
					System.out.println(cadena);
			} finally {
				br.close();
			}
		} catch (MalformedURLException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	public static void main(String[] args) {
		new LeerDesdeURL().ejecuta(args[0]);
	}
}
