package strategy.tipos.telefonica;

import strategy.tipos.io.LectorTeclado;

public class LectorEmpresaTeclado extends LectorTeclado<Empresa> {

	@Override
	public void leeDatos(Empresa empresa) {
		System.out.println("INTRODUCE LOS DATOS DE LA NUEVA EMPRESA");
		System.out.print("Nombre: ");
		empresa.setNombre(teclado.next());
		System.out.print("Tel�fono: ");
		empresa.setTelefono(teclado.next());
	}

}
