package strategy.tipos.telefonica;

import strategy.tipos.io.LectorTeclado;

public class LectorPersonaTeclado extends LectorTeclado<Persona> {
	@Override
	public void leeDatos(Persona persona) {
		System.out.println("INTRODUCE LOS DATOS DE LA NUEVA PERSONA");
		System.out.print("Nombre: ");
		persona.setNombre(teclado.next());
		System.out.print("Apellidos: ");
		persona.setApellidos(teclado.next());
		System.out.print("Tel�fono: ");
		persona.setTelefono(teclado.next());
	}
}
