package test;

import static org.junit.Assert.*;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;

import conversor.ConversorTemperaturas;
import conversor.TemperaturaNoValidaException;

public class TestConversorTemperaturas2 {
	private ConversorTemperaturas conversor;
	
	@Before
	public void creaConversorTemperaturas() {
		conversor = new ConversorTemperaturas();
	}
	
	@After
	public void destruyeCnversorTemperarturas() {
		conversor = null;
	}

	@Test
	public void testCelsiusAFharenheit() throws TemperaturaNoValidaException {
		assertEquals(32, conversor.celsiusAFharenheit(0), 0);
	}

	@Test
	public void testCelsiusAReamur() throws TemperaturaNoValidaException {
		assertEquals(0, conversor.celsiusAReamur(0), 0);
	}

	@Test(expected=TemperaturaNoValidaException.class)
	public void testTemperaturaNoValidaFharenheit() throws TemperaturaNoValidaException {
		conversor.celsiusAFharenheit(-400);
	}
}
