package utilidad;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.Scanner;

public final class UtilidadScanner {
	private static final String FICHERO = "agenda.txt";
	private UtilidadScanner() {
		super();
	}

	private void ejecuta() {
		try {
			Scanner scanner = new Scanner(new File(FICHERO));
			while(scanner.hasNext())
				System.out.println(scanner.nextLine());
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		}
	}

	public static void main(String[] args) {
		new UtilidadScanner().ejecuta();
	}

}
